Bug 863409 - cupsd crash
Summary: cupsd crash
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-05 12:12 UTC by Tim Waugh
Modified: 2012-11-23 07:12 UTC (History)
2 users (show)

Fixed In Version: cups-1.5.4-10.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-19 02:21:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Tim Waugh 2012-10-05 12:12:37 UTC
Description of problem:
cupsd crashed while udev-configure-printer was re-enabling a queue.

Version-Release number of selected component (if applicable):
cups-1.5.4-5.fc18.x86_64

How reproducible:
Not sure.

Backtrace:
#0  0x00007f5d720c0ba5 in raise () from /lib64/libc.so.6
#1  0x00007f5d720c2358 in abort () from /lib64/libc.so.6
#2  0x00007f5d721004ab in __libc_message () from /lib64/libc.so.6
#3  0x00007f5d7210795e in _int_free () from /lib64/libc.so.6
#4  0x00007f5d73fa0868 in avahi_string_list_free (l=0x697) at strlst.c:113
#5  0x00007f5d75a0041c in dnssdRegisterPrinter (p=p@entry=0x7f5d7795f7d0)
    at dirsvc.c:3101
#6  0x00007f5d75a0329d in cupsdRegisterPrinter (p=p@entry=0x7f5d7795f7d0)
    at dirsvc.c:732
#7  0x00007f5d75a19668 in cupsdSetPrinterState (p=0x7f5d7795f7d0, 
    s=s@entry=IPP_PRINTER_IDLE, update=update@entry=1) at printers.c:3032
#8  0x00007f5d75a08dcf in start_printer (con=0x7f5d77a5b210, 
    uri=<optimized out>) at ipp.c:12316
#9  cupsdProcessIPPRequest (con=con@entry=0x7f5d77a5b210) at ipp.c:605
#10 0x00007f5d759f2c8e in cupsdReadClient (con=con@entry=0x7f5d77a5b210)
    at client.c:2389
#11 0x00007f5d759e9c74 in main (argc=<optimized out>, argv=<optimized out>)
    at main.c:1075

Coredump available.

Comment 1 Tim Waugh 2012-10-11 11:39:37 UTC
Think I've tracked this one down.

Comment 2 Fedora Update System 2012-10-11 14:48:26 UTC
cups-1.5.4-10.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/cups-1.5.4-10.fc18

Comment 3 Fedora Update System 2012-10-11 15:31:46 UTC
cups-1.5.4-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-14508/cups-1.5.4-7.fc17

Comment 4 Fedora Update System 2012-10-11 17:24:03 UTC
Package cups-1.5.4-10.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cups-1.5.4-10.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15936/cups-1.5.4-10.fc18
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-11-19 02:21:52 UTC
cups-1.5.4-11.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2012-11-23 07:12:46 UTC
cups-1.5.4-14.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.